<h2>My Tasks</h2>

<div>
  <label>name:
    <input #tasksName/>
  </label>
  <button (click)="add(tasksName.value); tasksName.value=''">
    add
  </button>
</div>

<ul class="tasks">
  <li *ngFor="let task of tasks" 
    [class.selected]="task === selectedTask"
    (click)="onSelect(task)">
    <a>
      <span class="badge">{{task.id}}</span> {{task.name}}
    </a>
    <button class="delete" title="delete task"
      (click)="delete(task)">x</button>
  </li>
</ul>

<div *ngIf="selectedTask">
  <h2>{{selectedTask.name | uppercase}} Details</h2>
  <div><span>id: </span>{{selectedTask.id}}</div>
  <div>
    <label>name:
      <input [(ngModel)]="selectedTask.name" placeholder="name"/>
    </label>
  </div>
  <button (click)="save(selectedTask)">save</button>
</div>